/buckets

Lists every bucket.

get
https://api.rest.rodeo/storage/api/v1/buckets

Response

application/json

All buckets

BucketsList

* Additional properties are NOT allowed.
bucketsarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
get/buckets
 
application/json

/buckets

Creates a bucket. Returns 402 when the subscription tier’s bucket quota is already reached.

post
https://api.rest.rodeo/storage/api/v1/buckets

Body

application/json

BucketRequest

* Additional properties are NOT allowed.
namestringrequired

The bucket name.

>= 1 characters<= 256 characters

Response

application/json

The created bucket

Bucket

* Additional properties are NOT allowed.
idstring(uuid)required

The bucket id.

namestringrequired

The bucket name.

<= 256 characters

post/buckets

Body

{ "name": "project-files" }
 
application/json

/buckets/{bucketId}

Returns a single bucket by id.

get
https://api.rest.rodeo/storage/api/v1/buckets/{bucketId}

Path Parameters

bucketIdstring(uuid)required

The bucket id.

Response

application/json

The bucket

Bucket

* Additional properties are NOT allowed.
idstring(uuid)required

The bucket id.

namestringrequired

The bucket name.

<= 256 characters

get/buckets/{bucketId}
 
application/json

/buckets/{bucketId}

Replaces the bucket’s name.

put
https://api.rest.rodeo/storage/api/v1/buckets/{bucketId}

Path Parameters

bucketIdstring(uuid)required

The bucket id.

Body

application/json

BucketRequest

* Additional properties are NOT allowed.
namestringrequired

The bucket name.

>= 1 characters<= 256 characters

Response

application/json

The updated bucket

Bucket

* Additional properties are NOT allowed.
idstring(uuid)required

The bucket id.

namestringrequired

The bucket name.

<= 256 characters

put/buckets/{bucketId}

Body

{ "name": "archived-files" }
 
application/json

/buckets/{bucketId}

Deletes the bucket. Rejected with 409 while the bucket still contains objects.

delete
https://api.rest.rodeo/storage/api/v1/buckets/{bucketId}

Path Parameters

bucketIdstring(uuid)required

The bucket id.

Response

The bucket was deleted

delete/buckets/{bucketId}